/** When your routing table is too long, you can split it into small modules**/

import Layout from "@/layout";

const storeroomRouter = {
    path: "/storeroom",
    component: Layout,
    name: "Storeroom1",
    meta: { title: "库房管理", icon: "" },
    alwaysShow: true,
    hidden: true,
    children: [
        {
            // 验收入库-详情
            path: "check-warehouse-detail",
            component: () => import("@/views/page/storeroom/check-warehouse/detail"),
            name: "CheckWarehouseDetail",
            meta: { title: "验收入库-详情", icon: "" },
            hidden: true
        },
        {
            // 待出库-详情
            path: "shipped-out-detail",
            component: () => import("@/views/page/storeroom/shipped-out/detail"),
            name: "ShippedOutDetail",
            meta: { title: "待出库-详情", icon: "" },
            hidden: true
        },
        {
            // 待出库-手动出库
            path: "shipped-out-manoutbound",
            component: () => import("@/views/page/storeroom/shipped-out/manoutbound"),
            name: "ShippedOutManoutbound",
            meta: { title: "待出库-手动出库", icon: "" },
            hidden: true
        },
        {
            // 已出库-详情
            path: "outbound-detail",
            component: () => import("@/views/page/storeroom/outbound/detail"),
            name: "OutboundDetail",
            meta: { title: "已出库-详情", icon: "" },
            hidden: true
        },
    ]
};

export default storeroomRouter;
